const Name = "Icon-picker";
const Version = "20220518";
const Description = "use local custom icons";
const Url = "https://github.com/Mariusthvdb/custom-ui";
console.info(
  `%c  ${Name}  \n%c  Version ${Version} ${Description}`,
  "color: gold; font-weight: bold; background: black",
  "color: white; font-weight: bold; background: steelblue"
);


let icons = {};

async function getIcon(name) {
    let cli = undefined;

    if (icons[name] !== undefined) {
        cli = icons[name];
    } else {
        const response = await fetch(`/local/custom_icons/${name}`);

        if (!response.ok) return {};
        cli = await response.json();
        icons[name] = cli;
    }

    return {
        path: cli.path,
        viewBox: "0 0 24 24",
    };
}

async function getIconList() {
    const response = await fetch(`/local/custom_icons/`);

    if (!response.ok) return [];

    const icons = await response.json();

    return icons;
}

window.customIcons = window.customIcons || {};
window.customIcons["cli"] = { getIcon, getIconList };